Bug 3217 - Message context independent way to get config path
: Message context independent way to get config path
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: unspecified
: PC Linux
: P3 enhancement
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-04-22 22:17 by
Modified: 2005-06-22 14:17 (History)


Attachments
Temporary hack to fix this problem (will cause problems if you are trying to run multiple wsrf servlets in the same tomcat instance) (864 bytes, patch)
2005-04-23 08:07, Sam Meder
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-22 22:17:19
Core should provide a message context independent way to get the root for the
config directory (generally $GLOBUS_LOCATION or the value of MC_CONFIGPATH) to
replace current users of ContainerConfig.getGlobusLocation().
------- Comment #1 From 2005-04-23 08:07:06 -------
Created an attachment (id=588) [details]
Temporary hack to fix this problem (will cause problems if you are trying to
run multiple wsrf servlets in the same tomcat instance)
------- Comment #2 From 2005-06-22 14:17:48 -------
Added ContainerConfig.getBaseDirectory() and ContainerConfig.getSchemaDirectory
(). They are both properly set in Tomcat or our standalone container. Changes 
committed to globus_4_0_branch and trunk.